GroovyMethodDoc (Groovy 5.0.0)

Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyMethodDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyExecutableMemberDoc, GroovyMemberDoc, GroovyProgramElementDoc, GroovyDoc

      public interface GroovyMethodDoc
      extends GroovyExecutableMemberDoc

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isAbstract()`
    `` | `public GroovyClassDoc` | `overriddenClass()`
    `` | `public GroovyMethodDoc` | `overriddenMethod()`
    `` | `public GroovyType` | `overriddenType()`
    `` | `public boolean` | `overrides(GroovyMethodDoc arg0)`
    `` | `public GroovyType` | `returnType()`
    `` | `public void` | `setReturnType(GroovyType o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyExecutableMemberDoc` | `flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions`
    `interface GroovyMemberDoc` | `isSynthetic`
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public boolean isAbstract()

    - #### public GroovyClassDoc overriddenClass()

    - #### public GroovyMethodDoc overriddenMethod()

    - #### public GroovyType overriddenType()

    - #### public boolean overrides(GroovyMethodDoc arg0)

    - #### public GroovyType returnType()

    - #### public void setReturnType(GroovyType o)